Subject: Views behave different from Relations.

From: "Schenkelaars.V.F" <[email-masked]>
Date: Tue, 19 May 92 14:14:23 MET DST

Dear Postgres Group,

I've come across strange behaviour of views. I can state the following 
query:

Go
* retrieve (blgline= Blg2Pln(Rel.borderline, "0.001546462182887"::float4)) where
(Rel.bbox && "(12.892500,52.197102,13.897700,52.800598)"::box)\g

in which Rel is a standard relation. This works fine.

Next I define a view
 
GO
* define view RelView(Rel.all) \g

Which should behave identical in my opinion.
When I state the same query as above:

Go
* retrieve (blgline= Blg2Pln(RelView.borderline, "0.001546462182887"::float4))
where (RelView.bbox && "(12.892500,52.197102,13.897700,52.800598)"::box)\g

It still returns the correct answers. But when I run the same query again.
A core is dumped and the Postgres backend does not come back with an answer
nor with an error message.

In case of the Relation query, I can run it as often as I want.

What could be the problem here ?

Regards

     ____________________
 \  / . _   _  _   _  |
  \/ ( ( \ (_ (-' ( \ |

--------------------------------------------------------------------------------
Vincent F. Schenkelaars				|
Company: FEL-TNO                                | Private:
Email  : [email-masked]	|
address: Oude Waalsdorperweg 63			| Groenhovenstraat 12
         Postbus 96864				|
         2509 JG  Den Haag			| 2311 BT  Leiden
         The Netherlands			| The Netherlands
Phone  : Holland 070-3264221			| Holland 071-125576
Fax    : Holland 070-3280961			|
--------------------------------------------------------------------------------
We apologize for the inconvenience.